Skip to main content
GET
List funding history
Required API key permission: query-ledger

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your API secret.

API-Timestamp
string
header
required

Time the request was signed, as Unix milliseconds. Included in the request signature. Requests signed too far from the server's time are rejected.

Scopes

query-ledger

Path Parameters

account_id
string
required

Globally unique public identifier for an account.

Required string length: 14 - 42

Query Parameters

page_size
integer<int32>
default:20

Maximum number of results to return. Ignored when page_token is present.

Required range: 1 <= x <= 25
page_token
string

Opaque token returned as next_page_token in the previous response. Omit to request the first page.

Required string length: 1 - 256
start_timestamp
string<date-time>

Exclusive lower bound for settled_at. Sub-millisecond values are rejected. Must not be later than end_timestamp. RFC 3339 timestamp.

Example:

"2026-11-01T00:00:00Z"

end_timestamp
string<date-time>

Inclusive upper bound for settled_at. Sub-millisecond values are rejected. RFC 3339 timestamp.

Example:

"2026-11-02T00:00:00Z"

Response

Settled funding payments for the selected account.

data
object[]
required

Funding payments in this page.

next_page_token
string

Opaque token for retrieving the next page. Absent when there are no more results.

Required string length: 1 - 256